Package com.smartgwt.client.types

# Enum FormMethod

java.lang.Object
java.lang.Enum<FormMethod>
com.smartgwt.client.types.FormMethod

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<FormMethod>`, `Constable`

public enum FormMethod extends Enum<FormMethod> implements ValueEnum
Form METHOD parameters - how the form fields are submitted to the server

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GET`
  GET request -- URL encoding (~4K max)
  `POST`
  POST request -- separate field encoding (no max)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static FormMethod`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FormMethod[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GET

    public static final FormMethod GET
    GET request -- URL encoding (~4K max)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "GET".

  - ### POST

    public static final FormMethod POST
    POST request -- separate field encoding (no max)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "POST".

- ## Method Details

  - ### values

    public static FormMethod[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FormMethod valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`